"use strict";

var _transformOldGLSLTransition = require("./transformOldGLSLTransition");

var _transformOldGLSLTransition2 = _interopRequireDefault(_transformOldGLSLTransition);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test("transform simple example", function () {
  expect((0, _transformOldGLSLTransition2.default)("#ifdef GL_ES\nprecision highp float;\n#endif\nuniform sampler2D from, to;\nuniform float progress;\nuniform vec2 resolution;\n\nvoid main() {\n  vec2 p = gl_FragCoord.xy / resolution.xy;\n  gl_FragColor = mix(texture2D(from, p), texture2D(to, p), progress);\n}")).toMatchSnapshot();
});

test("transform luma example", function () {
  expect((0, _transformOldGLSLTransition2.default)("// Yo\n#ifdef GL_ES\nprecision highp float;\n#endif\nuniform sampler2D from, to;\nuniform float progress;\nuniform vec2 resolution;\n\nuniform sampler2D luma;\n\nvoid main() {\n  vec2 p = gl_FragCoord.xy / resolution.xy;\n  gl_FragColor = mix(\n    texture2D(from, p),\n    texture2D(to, p),\n    step(texture2D(luma, p).r, progress)\n  );\n}")).toMatchSnapshot();
});